Bug 1637387

Summary: Cannot install gnutls-dane in rawhide
Product: [Fedora] Fedora Reporter: Lukas Slebodnik <lslebodn>
Component: gnutlsAssignee: Nikos Mavrogiannopoulos <nmavrogi>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 29CC: nmavrogi, pemensik, tmraz
Target Milestone: ---Keywords: AutomationBlocker, TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gnutls-3.6.4-4.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-03 00:00:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Lukas Slebodnik 2018-10-09 07:50:20 UTC
Description of problem:
The latest update of unbound bump SONAME and thus it is not possible to install the package gnutls-dane in rawhide.

Version-Release number of selected component (if applicable):


How reproducible:
gnutls-3.6.4-1.fc28

Steps to Reproduce:
1. dnf install -y --best unbound-libs
2. rpm -q unbound-libs
3. dnf install -y --best gnutls-dane

Actual results:
sh-4.4# rpm -q unbound-libs
unbound-libs-1.8.1-1.fc30.x86_64
sh-4.4# dnf install -y --best gnutls-dane
Last metadata expiration check: 0:02:49 ago on Tue Oct  9 07:47:05 2018.
Error: 
 Problem: conflicting requests
  - nothing provides libunbound.so.2()(64bit) needed by gnutls-dane-3.6.4-1.fc30.x86_64

Expected results:
Package installed without any problem

Additional info:
sh-4.4# rpm -q --provides unbound-libs | grep libunbound.so
libunbound.so.8()(64bit)

Comment 1 Lukas Slebodnik 2018-10-09 08:00:20 UTC
The same bug is also in f29.

Comment 2 Petr Menšík 2018-10-09 12:09:17 UTC
Note it was announced a week ago on devel list. Build Override [1] for f29 is already active, just bump and rebuild is required.

1. https://bodhi.fedoraproject.org/overrides/unbound-1.8.1-1.fc29

Comment 3 Fedora Update System 2018-10-09 12:21:50 UTC
netresolve-0.0.1-0.22.20160317git.fc29 getdns-1.4.2-4.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 4 Petr Menšík 2018-10-09 12:26:34 UTC
It seems bodhi will not allow me to add gnutls into bodhi update, it is complaining I do not have commit access. Can you please add it there yourself or give me commit access?

Comment 5 Susi Lehtola 2018-10-09 12:26:57 UTC
Issue still exists on f29 and rawhide. Please rebuild gnutls.

Comment 6 Fedora Update System 2018-10-09 12:28:36 UTC
gnutls-3.6.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-65c5b71e67

Comment 7 Nikos Mavrogiannopoulos 2018-10-09 12:29:11 UTC
I've submitted a bodhi update.

Comment 8 Petr Menšík 2018-10-09 12:36:49 UTC
I think it should be part of update referenced in comment #3, so it would land into updates at the same time. I am not able to grant you commit rights to unbound however.

Comment 9 Nikos Mavrogiannopoulos 2018-10-09 12:47:01 UTC
You have now access to gnutls.

Comment 10 Petr Menšík 2018-10-09 13:16:32 UTC
(In reply to Nikos Mavrogiannopoulos from comment #9)
> You have now access to gnutls.

Thank you. I would use it just for bumps.

I unpushed update from comment #6, but it still complains it is already in another update. It will not allow me to add it into update from comment #3.
Any idea how can it be removed without waiting some days for it to expire?

Comment 11 Fedora Update System 2018-10-09 20:03:12 UTC
getdns-1.4.2-4.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 12 Fedora Update System 2018-10-10 09:24:41 UTC
bind-9.11.4-9.P2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-65c5b71e67

Comment 13 Fedora Update System 2018-10-10 09:25:48 UTC
getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 14 Fedora Update System 2018-10-10 15:49:42 UTC
getdns-1.4.2-4.fc29, gnutls-3.6.4-2.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 15 Fedora Update System 2018-10-11 09:33:44 UTC
getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 libreswan-3.27-1.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 16 Fedora Update System 2018-10-11 18:59:19 UTC
getdns-1.4.2-4.fc29, gnutls-3.6.4-2.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 17 Fedora Update System 2018-10-19 11:22:07 UTC
asterisk-16.0.0-1.fc29 getdns-1.4.2-4.fc29 gnutls-3.6.4-2.fc29 libreswan-3.27-1.fc29 netresolve-0.0.1-0.22.20160317git.fc29 unbound-1.8.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 18 Fedora Update System 2018-10-20 19:20:55 UTC
asterisk-16.0.0-1.fc29, getdns-1.4.2-4.fc29, gnutls-3.6.4-4.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7be27ff1d8

Comment 19 Fedora Update System 2018-11-03 00:00:22 UTC
asterisk-16.0.0-1.fc29, getdns-1.4.2-4.fc29, gnutls-3.6.4-4.fc29, libreswan-3.27-1.fc29, netresolve-0.0.1-0.22.20160317git.fc29, unbound-1.8.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.